> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tembo.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Authorize a live connection

> Issue a 30-second WebSocket ticket for one live connection that multiplexes resource subscriptions.



## OpenAPI

````yaml https://api.tembo.io/public-api/openapi/public post /v1/live
openapi: 3.1.0
info:
  title: Tembo Public API
  description: >-
    Manage agents, sessions, repositories, and organization resources with the
    Tembo API.
  version: 1.0.0
servers:
  - url: https://api.tembo.io
    description: Tembo API
  - url: https://{deployment-origin}/api/public-api
    description: Self-hosted Tembo
    variables:
      deployment-origin:
        default: tembo.example.com
        description: Hostname of your self-hosted Tembo deployment
security: []
paths:
  /v1/live:
    post:
      tags:
        - Live
      summary: Authorize a live connection
      description: >-
        Issue a 30-second WebSocket ticket for one live connection that
        multiplexes resource subscriptions.
      operationId: liveConnectionTicket
      responses:
        '200':
          description: Connection ticket
          content:
            application/json:
              schema:
                type: object
                properties:
                  ticket:
                    type: string
                required:
                  - ticket
        '401':
          description: User or API-key authentication required
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
                additionalProperties: false
      x-codeSamples:
        - lang: typescript
          label: TypeScript SDK
          source: |
            import Tembo from '@tembo-io/sdk';

            const client = new Tembo();

            const live = await client.live.authorize();

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.